std::_Reference_wrapper_base< _Tp >(3)

NAME
std::_Reference_wrapper_base< _Tp > -

SYNOPSIS

Inherits std::_Reference_wrapper_base_impl< __has_argument_type< _Tp >::value, __has_first_argument_type< _Tp >::value &&__has_second_argument_type< _Tp >::value, _Tp >.

Detailed Description

  template<typename _Tp>struct std::_Reference_wrapper_base< _Tp >
Derives from unary_function or binary_function when it can. Specializations handle all of the easy cases. The primary template determines what to do with a class type, which may derive from both unary_function and binary_function.

Definition at line 283 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.